
extern "C" int cdiv_(double *ar, double *ai, double *br, double *bi, double *cr, double *ci);
extern "C" int csroot_(double *xr, double *xi, double *yr, double *yi);
extern "C" double epslon_(double *x);
extern "C" double pythag_(double *a, double *b);
extern "C" int bakvec_(long *nm, long *n, double *t, double *e, long *m, double *z, long *ierr);
extern "C" int balanc_(long *nm, long *n, double *a, long *low, long *igh, double *scale);
extern "C" int balbak_(long *nm, long *n, long *low, long *igh, double *scale, long *m, double *z);
extern "C" int bandr_(long *nm, long *n, long *mb, double *a, double *d, double *e, double *e2, logical *matz, double *z);
extern "C" int bandv_(long *nm, long *n, long *mbw, double *a, double *e21, long *m, double *w, double *z, long *ierr, long *nv, double *rv, double *rv6);
extern "C" int bisect_(long *n, double *eps1, double *d, double *e, double *e2, double *lb, double *ub, long *mm, long *m, double *w, long *ind, long *ierr, double *rv4, double *rv5);
extern "C" int bqr_(long *nm, long *n, long *mb, double *a, double *t, double *r, long *ierr, long *nv, double *rv);
extern "C" int cbabk2_(long *nm, long *n, long *low, long *igh, double *scale, long *m, double *zr, double *zi);
extern "C" int cbal_(long *nm, long *n, double *ar, double *ai, long *low, long *igh, double *scale);
extern "C" int cg_(long *nm, long *n, double *ar, double *ai, double *wr, double *wi, long *matz, double *zr, double *zi, double *fv1, double *fv2, double *fv3, long *ierr);
extern "C" int ch_(long *nm, long *n, double *ar, double *ai, double *w, long *matz, double *zr, double *zi, double *fv1, double *fv2, double *fm1, long *ierr);
extern "C" int cinvit_(long *nm, long *n, double *ar, double *ai, double *wr, double *wi, logical *select, long *mm, long *m, double *zr, double *zi, long *ierr, double *rm1, double *rm2, double *rv1, double *rv2);
extern "C" int combak_(long *nm, long *low, long *igh, double *ar, double *ai, long *int__, long *m, double *zr, double *zi);
extern "C" int comhes_(long *nm, long *n, long *low, long *igh, double *ar, double *ai, long *int__);
extern "C" int comlr_(long *nm, long *n, long *low, long *igh, double *hr, double *hi, double *wr, double *wi, long *ierr);
extern "C" int comlr2_(long *nm, long *n, long *low, long *igh, long *int__, double *hr, double *hi, double *wr, double *wi, double *zr, double *zi, long *ierr);
extern "C" int comqr_(long *nm, long *n, long *low, long *igh, double *hr, double *hi, double *wr, double *wi, long *ierr);
extern "C" int comqr2_(long *nm, long *n, long *low, long *igh, double *ortr, double *orti, double *hr, double *hi, double *wr, double *wi, double *zr, double *zi, long *ierr);
extern "C" int cortb_(long *nm, long *low, long *igh, double *ar, double *ai, double *ortr, double *orti, long *m, double *zr, double *zi);
extern "C" int corth_(long *nm, long *n, long *low, long *igh, double *ar, double *ai, double *ortr, double *orti);
extern "C" int elmbak_(long *nm, long *low, long *igh, double *a, long *int__, long *m, double *z);
extern "C" int elmhes_(long *nm, long *n, long *low, long *igh, double *a, long *int__);
extern "C" int eltran_(long *nm, long *n, long *low, long *igh, double *a, long *int__, double *z);
extern "C" int figi_(long *nm, long *n, double *t, double *d, double *e, double *e2, long *ierr);
extern "C" int figi2_(long *nm, long *n, double *t, double *d, double *e, double *z, long *ierr);
extern "C" int hqr_(long *nm, long *n, long *low, long *igh, double *h, double *wr, double *wi, long *ierr);
extern "C" int hqr2_(long *nm, long *n, long *low, long *igh, double *h, double *wr, double *wi, double *z, long *ierr);
extern "C" int htrib3_(long *nm, long *n, double *a, double *tau, long *m, double *zr, double *zi);
extern "C" int htribk_(long *nm, long *n, double *ar, double *ai, double *tau, long *m, double *zr, double *zi);
extern "C" int htrid3_(long *nm, long *n, double *a, double *d, double *e, double *e2, double *tau);
extern "C" int htridi_(long *nm, long *n, double *ar, double *ai, double *d, double *e, double *e2, double *tau);
extern "C" int imtql1_(long *n, double *d, double *e, long *ierr);
extern "C" int imtql2_(long *nm, long *n, double *d, double *e, double *z, long *ierr);
extern "C" int imtqlv_(long *n, double *d, double *e, double *e2, double *w, long *ind, long *ierr, double *rv1);
extern "C" int invit_(long *nm, long *n, double *a, double *wr, double *wi, logical *select, long *mm, long *m, double *z, long *ierr, double *rm1, double *rv1, double *rv2);
extern "C" int minfit_(long *nm, long *m, long *n, double *a, double *w, long *ip, double *b, long *ierr, double *rv1);
extern "C" int ortbak_(long *nm, long *low, long *igh, double *a, double *ort, long *m, double *z);
extern "C" int orthes_(long *nm, long *n, long *low, long *igh, double *a, double *ort);
extern "C" int ortran_(long *nm, long *n, long *low, long *igh, double *a, double *ort, double *z);
extern "C" int qzhes_(long *nm, long *n, double *a, double *b, logical *matz, double *z);
extern "C" int qzit_(long *nm, long *n, double *a, double *b, double *eps1, logical *matz, double *z, long *ierr);
extern "C" int qzval_(long *nm, long *n, double *a, double *b, double *alfr, double *alfi, double *beta, logical *matz, double *z);
extern "C" int qzvec_(long *nm, long *n, double *a, double *b, double *alfr, double *alfi, double *beta, double *z);
extern "C" int ratqr_(long *n, double *eps1, double *d, double *e, double *e2, long *m, double *w, long *ind, double *bd, logical *type, long *idef, long *ierr);
extern "C" int rebak_(long *nm, long *n, double *b, double *dl, long *m, double *z);
extern "C" int rebakb_(long *nm, long *n, double *b, double *dl, long *m, double *z);
extern "C" int reduc_(long *nm, long *n, double *a, double *b, double *dl, long *ierr);
extern "C" int reduc2_(long *nm, long *n, double *a, double *b, double *dl, long *ierr);
extern "C" int rg_(long *nm, long *n, double *a, double *wr, double *wi, long *matz, double *z, long *iv1, double *fv1, long *ierr);
extern "C" int rgg_(long *nm, long *n, double *a, double *b, double *alfr, double *alfi, double *beta, long *matz, double *z, long *ierr);
extern "C" int rs_(long *nm, long *n, double *a, double *w, long *matz, double *z, double *fv1, double *fv2, long *ierr);
extern "C" int rsb_(long *nm, long *n, long *mb, double *a, double *w, long *matz, double *z, double *fv1, double *fv2, long *ierr);
extern "C" int rsg_(long *nm, long *n, double *a, double *b, double *w, long *matz, double *z, double *fv1, double *fv2, long *ierr);
extern "C" int rsgab_(long *nm, long *n, double *a, double *b, double *w, long *matz, double *z, double *fv1, double *fv2, long *ierr);
extern "C" int rsgba_(long *nm, long *n, double *a, double *b, double *w, long *matz, double *z, double *fv1, double *fv2, long *ierr);
extern "C" int rsm_(long *nm, long *n, double *a, double *w, long *m, double *z, double *fwork, long *iwork, long *ierr);
extern "C" int rsp_(long *nm, long *n, long *nv, double *a, double *w, long *matz, double *z, double *fv1, double *fv2, long *ierr);
extern "C" int rst_(long *nm, long *n, double *w, double *e, long *matz, double *z, long *ierr);
extern "C" int rt_(long *nm, long *n, double *a, double *w, long *matz, double *z, double *fv1, long *ierr);
extern "C" int svd_(long *nm, long *m, long *n, double *a, double *w, logical *matu, double *u, logical *matv, double *v, long *ierr, double *rv1);
extern "C" int tinvit_(long *nm, long *n, double *d, double *e, double *e2, long *m, double *w, long *ind, double *z, long *ierr, double *rv1, double *rv2, double *rv3, double *rv4, double *rv6);
extern "C" int tql1_(long *n, double *d, double *e, long *ierr);
extern "C" int tql2_(long *nm, long *n, double *d, double *e, double *z, long *ierr);
extern "C" int tqlrat_(long *n, double *d, double *e2, long *ierr);
extern "C" int trbak1_(long *nm, long *n, double *a, double *e, long *m, double *z);
extern "C" int trbak3_(long *nm, long *n, long *nv, double *a, long *m, double *z);
extern "C" int tred1_(long *nm, long *n, double *a, double *d, double *e, double *e2);
extern "C" int tred2_(long *nm, long *n, double *a, double *d, double *e, double *z);
extern "C" int tred3_(long *n, long *nv, double *a, double *d, double *e, double *e2);
extern "C" int tridib_(long *n, double *eps1, double *d, double *e, double *e2, double *lb, double *ub, long *m11, long *m, double *w, long *ind, long *ierr, double *rv4, double *rv5);
extern "C" int tsturm_(long *nm, long *n, double *eps1, double *d, double *e, double *e2, double *lb, double *ub, long *mm, long *m, double *w, double *z, long *ierr, double *rv1, double *rv2, double *rv3, double *rv4, double *rv5, double *rv6);
